import { Table, TableProps } from 'antd'

export default function DataRender(props: TableProps) {
  const pagination = {
    showSizeChanger: true,
    pageSize: 100,
    pageSizeOptions: [100, 200, 500],
    showTotal: (total: number) => `共${total}条数据`,
  }
  return (
    <Table
      bordered
      scroll={{ x: 'max-content', y: 600 }}
      tableLayout="auto"
      size="middle"
      pagination={pagination}
      {...props}
    />
  )
}
