import { Form, Input, Modal } from 'antd'

export default function FormModal(props) {
  return (
    <Modal title="复制数据集" destroyOnClose {...props}>
      <Form labelCol={{ span: 4 }} preserve={false}>
        <Form.Item label="数据集名称" name="name">
          <Input placeholder="请输入" />
        </Form.Item>
        <Form.Item label="原始数据集">电子商务案例数据集</Form.Item>
        <Form.Item label="数据量">2000</Form.Item>
        <Form.Item label="所属行业">电子商务</Form.Item>
        <Form.Item label="数据来源">案例数据</Form.Item>
        <Form.Item label="敏感等级">L1一般敏感</Form.Item>
        <Form.Item label="访问权限">完全开放</Form.Item>
        <Form.Item label="创建人">张三疯</Form.Item>
        <Form.Item label="创建时间">2024-12-12 13:13:13</Form.Item>
        <Form.Item label="更新时间">2024-12-12 13:13:13</Form.Item>
      </Form>
    </Modal>
  )
}
