import DataRender from './DataRender'

export default function FormModal(props) {
  const columns = [
    {
      title: '订单编号',
      dataIndex: '订单编号',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '品牌',
      dataIndex: '品牌',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '店铺',
      dataIndex: '店铺',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '负责人',
      dataIndex: '负责人',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '商品',
      dataIndex: '商品',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '颜色',
      dataIndex: '颜色',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '客户购买类型',
      dataIndex: '客户购买类型',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '销量',
      dataIndex: '销量',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '单价',
      dataIndex: '单价',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '销售额',
      dataIndex: '销售额',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '是否优惠',
      dataIndex: '是否优惠',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '优惠金额',
      dataIndex: '优惠金额',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '实际单价',
      dataIndex: '实际单价',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '实际付款',
      dataIndex: '实际付款',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '成本',
      dataIndex: '成本',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '利润',
      dataIndex: '利润',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '客户性别',
      dataIndex: '客户性别',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '客户年龄',
      dataIndex: '客户年龄',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '会员情况',
      dataIndex: '会员情况',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '是否访问页面',
      dataIndex: '是否访问页面',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '访问页面时长',
      dataIndex: '访问页面时长',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '交易状态',
      dataIndex: '交易状态',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '商品状态',
      dataIndex: '商品状态',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '收货人姓名',
      dataIndex: '收货人姓名',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '收货人电话',
      dataIndex: '收货人电话',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '发货地址',
      dataIndex: '发货地址',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '收货地址省份',
      dataIndex: '收货地址省份',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '收货地址',
      dataIndex: '收货地址',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '物流公司',
      dataIndex: '物流公司',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '运单号',
      dataIndex: '运单号',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '运送方式',
      dataIndex: '运送方式',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '支付时间',
      dataIndex: '支付时间',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '预计到达时间',
      dataIndex: '预计到达时间',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '实际到达时间',
      dataIndex: '实际到达时间',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '快递反馈',
      dataIndex: '快递反馈',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '是否退货',
      dataIndex: '是否退货',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '退款原因',
      dataIndex: '退款原因',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '客户满意度',
      dataIndex: '客户满意度',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '出生日期',
      dataIndex: '出生日期',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '品类',
      dataIndex: '品类',
      align: 'center',
      minWidth: 120,
    },
    {
      title: '材质',
      dataIndex: '材质',
      align: 'center',
      minWidth: 120,
    },
  ]
  const data = [
    {
      订单编号: 'A929818',
      品牌: '丽丽',
      店铺: '卡卡家女装',
      负责人: '袁英',
      商品: '安全裤',
      颜色: '红色',
      客户购买类型: '零售',
      销量: 256,
      单价: 156.14,
      销售额: 156.14,
      是否优惠: '店铺活动优惠',
      优惠金额: 12,
      实际单价: 144.14,
      实际付款: 144.14,
      成本: 92.25,
      利润: 51.89,
      客户性别: 0,
      客户年龄: '33岁',
      会员情况: '无会员',
      是否访问页面: '是',
      访问页面时长: 2,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '孙倩',
      收货人电话: '181****4056',
      发货地址: '福建省',
      收货地址省份: '陕西省',
      收货地址: '陕西省延安市子长县',
      物流公司: '   百世快递',
      运单号: 'L810590',
      运送方式: '公路运输',
      支付时间: 44003,
      预计到达时间: 44008,
      实际到达时间: 44008,
      快递反馈: '准时',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '中评',
      出生日期: 32807,
      品类: '女裤',
      材质: '麻质',
    },
    {
      订单编号: 'A451538',
      品牌: '雅羊人',
      店铺: '秋兰女装专卖店',
      负责人: '刘佳',
      商品: '不规则连衣裙',
      颜色: '粉色',
      客户购买类型: '零售',
      销量: 198,
      单价: 247.44,
      销售额: 247.44,
      是否优惠: '无',
      优惠金额: 0,
      实际单价: 247.44,
      实际付款: 247.44,
      成本: 133.62,
      利润: 113.82,
      客户性别: 0,
      客户年龄: '36岁',
      会员情况: '无会员',
      是否访问页面: '是',
      访问页面时长: 8,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '余玉英',
      收货人电话: '181****8027',
      发货地址: '广东省',
      收货地址省份: '⼴西壮族⾃治区',
      收货地址: '广西壮族自治区贵港市',
      物流公司: '极兔快  递',
      运单号: 'L806051',
      运送方式: '公路运输',
      支付时间: 45029,
      预计到达时间: 45031,
      实际到达时间: 45031,
      快递反馈: '准时',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '好评',
      出生日期: 31610,
      品类: '连衣裙',
      材质: '氨纶',
    },
    {
      订单编号: 'A479212',
      品牌: '威兰西',
      店铺: '威兰西旗舰店',
      负责人: '陈建平',
      商品: '网红同款连衣裙',
      颜色: '白色',
      客户购买类型: '零售',
      销量: 128,
      单价: 245.49,
      销售额: 245.49,
      是否优惠: '双12优惠',
      优惠金额: 15,
      实际单价: 230.49,
      实际付款: 230.49,
      成本: 147.51,
      利润: 82.98,
      客户性别: 0,
      客户年龄: '22岁',
      会员情况: '无会员',
      是否访问页面: '是',
      访问页面时长: 4,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '杨军',
      收货人电话: '139****7024',
      发货地址: '浙江省',
      收货地址省份: '河北省',
      收货地址: '河北省衡水市武强县',
      物流公司: '顺丰快递',
      运单号: 'L356804',
      运送方式: '公路运输',
      支付时间: 43800,
      预计到达时间: 43805,
      实际到达时间: 43806,
      快递反馈: '延后',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '好评',
      出生日期: 36649,
      品类: '连衣裙',
      材质: '棉质',
    },
    {
      订单编号: 'A389270',
      品牌: 'H&R',
      店铺: '壹佰女装',
      负责人: '杨兰英',
      商品: '蕾丝花边T恤',
      颜色: '紫色',
      客户购买类型: '批发',
      销量: 13,
      单价: 168.3,
      销售额: 2187.9,
      是否优惠: '双11优惠',
      优惠金额: 200,
      实际单价: 152.92,
      实际付款: 1987.9,
      成本: 1212.62,
      利润: 775.28,
      客户性别: 0,
      客户年龄: '26岁',
      会员情况: '无会员',
      是否访问页面: '是',
      访问页面时长: 4,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '郑强',
      收货人电话: '159****6299',
      发货地址: '四川省',
      收货地址省份: '河南省',
      收货地址: '河南省郑州市新密市',
      物流公司: '顺丰快递',
      运单号: 'L335437',
      运送方式: '公路运输',
      支付时间: 43779,
      预计到达时间: 43783,
      实际到达时间: 43784,
      快递反馈: '延后',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '好评',
      出生日期: 35189,
      品类: '上衣',
      材质: '棉质',
    },
    {
      订单编号: 'A327122',
      品牌: 'H&R',
      店铺: 'H&R旗舰店',
      负责人: '袁英',
      商品: '春夏新款连衣裙',
      颜色: '红色',
      客户购买类型: '批发',
      销量: 13,
      单价: 119.64,
      销售额: 1555.32,
      是否优惠: '无',
      优惠金额: 0,
      实际单价: 119.64,
      实际付款: 1555.32,
      成本: 855.43,
      利润: 699.89,
      客户性别: 0,
      客户年龄: '22岁',
      会员情况: '无会员',
      是否访问页面: '是',
      访问页面时长: 8,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '刘冬梅',
      收货人电话: '185****4586',
      发货地址: '广东省',
      收货地址省份: '陕西省',
      收货地址: '陕西省延安市富县',
      物流公司: '中通快递',
      运单号: 'L209106',
      运送方式: '公路运输',
      支付时间: 43583,
      预计到达时间: 43585,
      实际到达时间: 43585,
      快递反馈: '准时',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '无评论',
      出生日期: 36710,
      品类: '连衣裙',
      材质: '氨纶',
    },
    {
      订单编号: 'A577484',
      品牌: 'H&R',
      店铺: 'COCO女装',
      负责人: '刘佳',
      商品: '秋冬款连衣裙',
      颜色: '粉色',
      客户购买类型: '批发',
      销量: 12,
      单价: 173.7,
      销售额: 2084.39999999999,
      是否优惠: '店铺活动优惠',
      优惠金额: 100,
      实际单价: 165.37,
      实际付款: 1984.39999999999,
      成本: 1170.8,
      利润: 813.59999999999,
      客户性别: 0,
      客户年龄: '61岁',
      会员情况: '钻石会员',
      是否访问页面: '是',
      访问页面时长: 7,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '谢博',
      收货人电话: '147****5024',
      发货地址: '广东省',
      收货地址省份: '⽢肃省',
      收货地址: '甘肃省甘南藏族自治州卓尼县',
      物流公司: '申通快递',
      运单号: 'L913348',
      运送方式: '航空运输',
      支付时间: 43562,
      预计到达时间: 43566,
      实际到达时间: 43566,
      快递反馈: '准时',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '中评',
      出生日期: 22505,
      品类: '连衣裙',
      材质: '麻质',
    },
    {
      订单编号: 'A293474',
      品牌: '拉夏贝尔',
      店铺: '拉夏贝尔旗舰店',
      负责人: '刘佳',
      商品: '泫雅风T恤',
      颜色: '粉色',
      客户购买类型: '批发',
      销量: 12,
      单价: 162.02,
      销售额: 1944.24,
      是否优惠: '双11优惠',
      优惠金额: 200,
      实际单价: 145.35,
      实际付款: 1744.24,
      成本: 1011.66,
      利润: 732.58,
      客户性别: 0,
      客户年龄: '59岁',
      会员情况: '普通会员',
      是否访问页面: '是',
      访问页面时长: 2,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '赵丽丽',
      收货人电话: '186****8566',
      发货地址: '浙江省',
      收货地址省份: '⼴东省',
      收货地址: '广东省梅州市',
      物流公司: '圆通快递',
      运单号: 'L841704',
      运送方式: '铁路运输',
      支付时间: 43779,
      预计到达时间: 43784,
      实际到达时间: 43784,
      快递反馈: '准时',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '中评',
      出生日期: 23158,
      品类: '上衣',
      材质: '氨纶',
    },
    {
      订单编号: 'A424004',
      品牌: '艾米丽',
      店铺: '卡卡家女装',
      负责人: '宋建华',
      商品: '大码牛仔裤',
      颜色: '红色',
      客户购买类型: '批发',
      销量: 11,
      单价: 73.54,
      销售额: 808.94,
      是否优惠: '双11优惠',
      优惠金额: 100,
      实际单价: 64.45,
      实际付款: 708.94,
      成本: 361.56,
      利润: 347.38,
      客户性别: 0,
      客户年龄: '23岁',
      会员情况: '无会员',
      是否访问页面: '是',
      访问页面时长: 8,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '谢雷',
      收货人电话: '150****7487',
      发货地址: '浙江省',
      收货地址省份: '宁夏回族自治区',
      收货地址: '宁夏回族自治区银川市贺兰县',
      物流公司: '   百世快递',
      运单号: 'L451724',
      运送方式: '公路运输',
      支付时间: 45257,
      预计到达时间: 45261,
      实际到达时间: 45261,
      快递反馈: '准时',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '好评',
      出生日期: 36512,
      品类: '女裤',
      材质: '锦纶',
    },
    {
      订单编号: 'A561021',
      品牌: 'TARA',
      店铺: 'TARA旗舰店',
      负责人: '邹勇',
      商品: '春夏季新款裤子',
      颜色: '橙色',
      客户购买类型: '批发',
      销量: 11,
      单价: 57.25,
      销售额: 629.75,
      是否优惠: '双12优惠',
      优惠金额: 150,
      实际单价: 43.61,
      实际付款: 479.75,
      成本: 283.05,
      利润: 196.7,
      客户性别: 0,
      客户年龄: '36岁',
      会员情况: '普通会员',
      是否访问页面: '是',
      访问页面时长: 7,
      交易状态: '交易成功',
      商品状态: '已收货',
      收货人姓名: '王桂珍',
      收货人电话: '137****8424',
      发货地址: '福建省',
      收货地址省份: '湖南省',
      收货地址: '湖南省永州市市辖区',
      物流公司: '申通快递',
      运单号: 'L948843',
      运送方式: '公路运输',
      支付时间: 43816,
      预计到达时间: 43818,
      实际到达时间: 43818,
      快递反馈: '准时',
      是否退货: '否',
      退款原因: '无',
      客户满意度: '好评',
      出生日期: 31564,
      品类: '女裤',
      材质: '锦纶',
    },
    {
      订单编号: 'A191677',
      品牌: '富贵人',
      店铺: '富贵人旗舰店',
      负责人: '刘佳',
      商品: '蕾丝花边T恤',
      颜色: '粉色',
      客户购买类型: '批发',
      销量: 11,
      单价: 117.92,
      销售额: 1297.12,
      是否优惠: '无',
      优惠金额: 0,
      实际单价: 117.92,
      实际付款: 1297.12,
      成本: 648.56,
      利润: 648.56,
      客户性别: 0,
      客户年龄: '38岁',
      会员情况: '无会员',
      是否访问页面: '否',
      访问页面时长: 0,
      交易状态: '交易取消',
      商品状态: '已取消',
      收货人姓名: '梁秀华',
      收货人电话: '136****1451',
      发货地址: '广东省',
      收货地址省份: '⼭东省',
      收货地址: '山东省聊城市冠县',
      物流公司: '申通快递',
      运单号: 'L385723',
      运送方式: '航空运输',
      支付时间: 43802,
      预计到达时间: 43807,
      实际到达时间: 43807,
      快递反馈: '准时',
      是否退货: '是',
      退款原因: '不喜欢',
      客户满意度: '无评论',
      出生日期: 30739,
      品类: '上衣',
      材质: '棉质',
    },
  ]
  return <DataRender dataSource={data} columns={columns}></DataRender>
}
