import DataWrap from '@/components/data/DataWrap'
import { Button } from 'antd'

export default function DataWriteUpload() {
  const buttonsRender = () => {
    const buttons = [
      { name: '缺失值' },
      { name: '重复值' },
      { name: '过大值' },
      { name: '过小值' },
      { name: '逻辑错误值' },
      { name: '最大值' },
      { name: '最小值' },
      { name: '平均值' },
      { name: '中位数' },
      { name: '众数' },
      { name: '1/4位数' },
      { name: '3/4位数' },
      { name: '方差' },
      { name: '标准差' },
      { name: '极差' },
    ]
    return buttons.map((item) => {
      return (
        <Button type="primary" key={item.name}>
          {item.name}
        </Button>
      )
    })
  }
  return <DataWrap title="数据探索" buttons={<>{buttonsRender()}</>}></DataWrap>
}
